[Piuparts-commits] [SCM] piuparts git repository branch, master, updated. 0.48-79-gdf94975

Andreas Beckmann debian at abeckmann.de
Sat Jan 12 11:33:08 UTC 2013


The following commit has been merged in the master branch:
commit 4f1cfd2dc7d38dc5ca1c9a216eb6605c4263b994
Author: Andreas Beckmann <debian at abeckmann.de>
Date:   Tue Nov 6 11:15:57 2012 +0100

    find_missing_copyright: skip for uninstalled packages
    
    may happen when testing distupgrades of disappearing packages
    
    be a bit more verbose about what the ls output is
    
    Signed-off-by: Andreas Beckmann <debian at abeckmann.de>

diff --git a/custom-scripts/scripts/pre_remove_50_find_missing_copyright b/custom-scripts/scripts/pre_remove_50_find_missing_copyright
index 3527335..5a530b3 100755
--- a/custom-scripts/scripts/pre_remove_50_find_missing_copyright
+++ b/custom-scripts/scripts/pre_remove_50_find_missing_copyright
@@ -4,13 +4,21 @@ set -e
 failed=
 for pkg in ${PIUPARTS_OBJECTS%%=*}
 do
+	# skip check if the package is not installed
+	dpkg-query -s "$pkg" >/dev/null 2>&1 || continue
+	status="$(dpkg-query -W -f '${Status}' $pkg)"
+	test "$status" != "unknown ok not-installed" || continue
+	test "$status" != "deinstall ok config-files" || continue
+
 	docdir="/usr/share/doc/$pkg"
 	copyright="$docdir/copyright"
 	if [ ! -f "$copyright" ]
 	then
 		failed="$failed $copyright"
 		echo "MISSING COPYRIGHT FILE: $copyright"
+		echo "# ls -lad $docdir"
 		ls -lad "$docdir" || true
+		echo "# ls -la $docdir/"
 		ls -la "$docdir/" || true
 	fi
 done
diff --git a/debian/changelog b/debian/changelog
index dbc7a07..e34f0a7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,8 @@ piuparts (0.49) UNRELEASED; urgency=low
     - Disable X forwarding while connecting to master.
   * piuparts-report.py:
     - Hardlink the logfiles to the htdocs tree (with copy as fallback).
+  * pre_remove_50_find_missing_copyright: Skip check for packages that are not
+    installed or have only config files remaining.
   * New bug template: partial-upgrade-file-overwrite.
 
  -- Andreas Beckmann <debian at abeckmann.de>  Fri, 30 Nov 2012 13:11:25 +0100

-- 
piuparts git repository



More information about the Piuparts-commits mailing list